<?php
session_start();
include("config.php");
include("funciones.php");
include("config.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
	date_default_timezone_set("America/Lima");
	$titulo = $_POST['titulo'];	
	$categoria= $_POST['categoria'];	
	$bajada = $_POST['bajada']; 
	$keywords=$_POST['keywords']; 
	$cuerpo_interno=$_POST['cuerpo_interno']; 
	$imagen_cabecera = $_FILES['imagen_cabecera']['name'];
	$imagen_interna = $_FILES['imagen_interna']['name'];
	$imagen_redes = $_FILES['imagen_redes']['name'];

	$titulo_v = filter_var($titulo,  FILTER_SANITIZE_STRING);
	$categoria_v = filter_var($categoria,  FILTER_SANITIZE_STRING);
	$bajada_v = filter_var($bajada,  FILTER_SANITIZE_STRING);
	$keywords_v = filter_var($keywords,  FILTER_SANITIZE_STRING);
	$cuerpo_interno_v = filter_var($cuerpo_interno,  FILTER_SANITIZE_STRING);
	$imagen_cabecera_v = filter_var($imagen_cabecera,  FILTER_SANITIZE_STRING);
	$imagen_interna_v = filter_var($imagen_interna,  FILTER_SANITIZE_STRING);
	$imagen_redes_v = filter_var($imagen_redes,  FILTER_SANITIZE_STRING);

        if($titulo_v && $categoria_v  && $bajada_v  && $categoria_v  && $keywords_v  && $cuerpo_interno_v  && $imagen_cabecera_v && $imagen_interna_v && $imagen_redes_v)                     
			{		
				$titulo_real = mysqli_real_escape_string($con,$titulo_v);
				$bajada_real = mysqli_real_escape_string($con,$bajada_v);
				$cuerpo_interno_real = mysqli_real_escape_string($con,$cuerpo_interno_v);
				$categoria_real = mysqli_real_escape_string($con,$categoria_v);
				$keywords_real = mysqli_real_escape_string($con,$keywords_v);

				$sql_titulo = "SELECT titulo FROM noticias WHERE titulo = '$titulo_real'";
				$sql_query=mysqli_query($con,$sql_titulo);
				$rows_query=mysqli_num_rows($sql_query);
				if($rows_query>0){			
				    echo 3;
				}else{	 
					$img_tmp_cabecera=$_FILES['imagen_cabecera'];
					$img_tmp_interna=$_FILES['imagen_interna'];
					$img_tmp_redes=$_FILES['imagen_redes'];
					$dir="img/noticias/";
					$restriccion="imagen_cabecera";
					$fin=2;	   
					list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);
					if($valorSubida1 = "1"){
						    $url_personalizada=urlamigable($titulo_v);
						    $url_=$url_personalizada.".html";
							$imagen_cabecera_n=$nuevos_nombres[0];
							$imagen_interna_n=$nuevos_nombres[1];
							$imagen_redes_n=$nuevos_nombres[2];						
							$estado=1;
							$date =date('Y-m-j');
							$sql = "INSERT INTO noticias (id ,imagen_cabecera, titulo, bajada, cuerpo, categoria, imagen_interna,imagen_redes,estado,keywords,url,fecha_creacion) VALUES
							( NULL , '$imagen_cabecera_n','$titulo_real', '$bajada_real', '$cuerpo_interno','$categoria_real','$imagen_interna_n','$imagen_redes_n',$estado,'$keywords_real','$url_','$date')";
							if(mysqli_query($con,$sql)){
								echo 1;
							}else{
								echo 2;
							}
					}else{
							echo 4;
					}
				}		
		}else{
		    echo 5;
		}
}	
?>


